test_zip.cpp File Reference

Source code to a small program that tests the functionality of Zipios++. More...

`#include "zipios++/zipios-config.h"`
`#include "zipios++/meta-iostreams.h"`
`#include <memory>`
`#include <stdlib.h>`
`#include "zipios++/zipfile.h"`
`#include "zipios++/zipinputstream.h"`
Include dependency graph for test_zip.cpp:

Go to the source code of this file.

## Functions

void | entryToFile (const string &ent_name, istream &is, const string &outfile, bool cerr_report=false)
int | main ()

## Detailed Description

Source code to a small program that tests the functionality of Zipios++.

Definition in file test_zip.cpp.

## Function Documentation

## entryToFile()

void entryToFile | ( | const string & | ent_name,
|  | istream & | is,
|  | const string & | outfile,
|  | bool | cerr_report = false )

Definition at line 85 of file test_zip.cpp.

## main()

int main | ( |  | ) |

Definition at line 22 of file test_zip.cpp.